Bug 1468551 - (CVE-2017-10986) CVE-2017-10986 freeradius: Infinite read in dhcp_attr2vp()
CVE-2017-10986 freeradius: Infinite read in dhcp_attr2vp()
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170717,repor...
: Security
Depends On: 1469419 1469418 1471864
Blocks: 1468570
  Show dependency treegraph
 
Reported: 2017-07-07 07:50 EDT by Adam Mariš
Modified: 2017-08-02 05:48 EDT (History)
6 users (show)

See Also:
Fixed In Version: freeradius 3.0.15
Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds read flaw was found in the way FreeRADIUS server handled decoding of DHCP packets. A remote attacker could use this flaw to crash the FreeRADIUS server by sending a specially crafted DHCP request.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 05:41:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.32 KB, patch)
2017-07-07 08:04 EDT, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2017-07-07 07:50:54 EDT
When decoding "string" options in an array, dhcp_attr2vp() could be convinced to call memchr() with a length argument of -1. This could result in an over-read until the first zero octet was found, or a page fault occured.

The security impact is denial of service by any network device capable of sending DHCP packets to FreeRADIUS, which sends string options to the server in an option array.

Affected versions: 3.0.0 through 3.0.14, inclusive.
Comment 1 Adam Mariš 2017-07-07 07:51:00 EDT
Acknowledgments:

Name: the FreeRADIUS project
Upstream: Guido Vranken
Comment 2 Adam Mariš 2017-07-07 08:04 EDT
Created attachment 1295268 [details]
Proposed patch
Comment 5 Dhiru Kholia 2017-07-17 10:39:12 EDT
Created freeradius tracking bugs for this issue:

Affects: fedora-all [bug 1471864]
Comment 6 errata-xmlrpc 2017-08-01 19:25:20 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2389 https://access.redhat.com/errata/RHSA-2017:2389
Comment 7 Dhiru Kholia 2017-08-02 05:42:13 EDT
External References:

http://freeradius.org/security/fuzzer-2017.html

Note You need to log in before you can comment on or make changes to this bug.